Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2078403002: [heap] Filter out stale left-trimmed handles (Closed)

Created:
3 years ago by Michael Lippautz
Modified:
3 years ago
CC:
ulan, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[heap] Filter out stale left-trimmed handles BUG=chromium:620553 LOG=N R=jochen@chromium.org Committed: https://crrev.com/d800a65967b115c6e1aa6c3ba08861a304383088 Cr-Commit-Position: refs/heads/master@{#37108}

Patch Set 1 #

Total comments: 2

Patch Set 2 : addressed comment #

Patch Set 3 : Remove check that ensure that only a single handle points to left-trimmed array #

Unified diffs Side-by-side diffs Delta from patch set Stats (+44 lines, -34 lines) Patch
M src/heap/heap.h View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
M src/heap/heap.cc View 1 2 2 chunks +0 lines, -30 lines 0 comments Download
M src/heap/mark-compact.cc View 1 1 chunk +27 lines, -1 line 0 comments Download
A test/mjsunit/regress/regress-620553.js View 1 chunk +17 lines, -0 lines 0 comments Download

Messages

Total messages: 27 (14 generated)
Michael Lippautz
jochen: ptal. I cannot think of any nice way to better handle the stale Handle ...
3 years ago (2016-06-20 09:31:11 UTC) #6
jochen (gone - plz use gerrit)
can you explain why we can't avoid them? https://codereview.chromium.org/2078403002/diff/20001/src/heap/mark-compact.cc File src/heap/mark-compact.cc (right): https://codereview.chromium.org/2078403002/diff/20001/src/heap/mark-compact.cc#newcode1423 src/heap/mark-compact.cc:1423: // ...
3 years ago (2016-06-20 09:53:27 UTC) #7
Michael Lippautz
Elements accessors in elements.cc go through some obstacles to make sure no GC happens where ...
3 years ago (2016-06-20 10:39:51 UTC) #8
jochen (gone - plz use gerrit)
I wonder whether there's opportunity to simplify elements.cc anyways, lgtm
3 years ago (2016-06-20 12:45:39 UTC) #9
Michael Lippautz
On 2016/06/20 12:45:39, jochen wrote: > I wonder whether there's opportunity to simplify elements.cc Ack.
3 years ago (2016-06-20 12:52:18 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2078403002/40001
3 years ago (2016-06-20 12:52:43 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2078403002/60001
3 years ago (2016-06-20 13:31:43 UTC) #16
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years ago (2016-06-20 14:26:18 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2078403002/60001
3 years ago (2016-06-20 14:27:37 UTC) #21
commit-bot: I haz the power
Committed patchset #3 (id:60001)
3 years ago (2016-06-20 14:30:04 UTC) #23
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/d800a65967b115c6e1aa6c3ba08861a304383088 Cr-Commit-Position: refs/heads/master@{#37108}
3 years ago (2016-06-20 14:32:32 UTC) #25
Hannes Payer (out of office)
On 2016/06/20 14:32:32, commit-bot: I haz the power wrote: > Patchset 3 (id:??) landed as ...
3 years ago (2016-06-20 22:37:25 UTC) #26
Michael Lippautz
3 years ago (2016-06-21 08:21:53 UTC) #27
Message was sent while issue was closed.
On 2016/06/20 22:37:25, Hannes Payer (slow) wrote:
> On 2016/06/20 14:32:32, commit-bot: I haz the power wrote:
> > Patchset 3 (id:??) landed as
> > https://crrev.com/d800a65967b115c6e1aa6c3ba08861a304383088
> > Cr-Commit-Position: refs/heads/master@{#37108}
> 
> This is very unfortunate, each object has to point to a valid object. A filler
> is not a valid object. This is one of the main invariants of our heap. I would
> be in favor of not doing this fix, but changing it on the use level. This bug
> demonstrates again why moving the object header is problematic.

Ack. Let's talk offline.

Powered by Google App Engine
This is Rietveld 408576698